"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const graphql_1 = require("graphql");
const load_typedefs_1 = require("./load-typedefs");
exports.OPERATION_KINDS = [graphql_1.Kind.OPERATION_DEFINITION, graphql_1.Kind.FRAGMENT_DEFINITION];
exports.NON_OPERATION_KINDS = Object.keys(graphql_1.Kind)
    .reduce((prev, v) => [...prev, graphql_1.Kind[v]], [])
    .filter(v => !exports.OPERATION_KINDS.includes(v));
async function loadDocumentsUsingLoaders(loaders, documentDef, options = {}, cwd = process.cwd()) {
    return await load_typedefs_1.loadTypedefsUsingLoaders(loaders, documentDef, Object.assign(Object.assign({}, options), { skipGraphQLImport: true, noRequire: true }), exports.NON_OPERATION_KINDS, cwd);
}
exports.loadDocumentsUsingLoaders = loadDocumentsUsingLoaders;
//# sourceMappingURL=documents.js.map