import { DocumentNode } from 'graphql';
import { Source, Loader } from '@graphql-toolkit/common';
export declare type SingleFileOptions<ExtraConfig = {
    [key: string]: any;
}> = ExtraConfig & {
    noRequire?: boolean;
    skipGraphQLImport?: boolean;
};
export declare type LoadTypedefsOptions<ExtraConfig = {
    [key: string]: any;
}> = SingleFileOptions<ExtraConfig> & {
    ignore?: string | string[];
};
export declare function loadTypedefsUsingLoaders<AdditionalConfig = {}>(loaders: Loader[], pointerOrPointers: string | string[], options?: LoadTypedefsOptions<Partial<AdditionalConfig>>, filterKinds?: string[], cwd?: string): Promise<Source[]>;
export declare function loadSingleFile(loaders: Loader[], pointer: string, options?: SingleFileOptions, cwd?: string): Promise<DocumentNode>;
