import { loadTypedefsUsingLoaders } from './load-typedefs';
import { buildASTSchema } from 'graphql';
import { OPERATION_KINDS } from './documents';
import { mergeTypeDefs } from '@graphql-toolkit/schema-merging';
export async function loadSchemaUsingLoaders(loaders, pointToSchema, options, cwd = process.cwd()) {
    const types = await loadTypedefsUsingLoaders(loaders, pointToSchema, options, OPERATION_KINDS, cwd);
    return buildASTSchema(mergeTypeDefs(types.map(m => m.document)));
}
//# sourceMappingURL=schema.js.map